.\" Personal
.TH SENDFILED 8
.UC L

.SH NAME
sendfiled - Simple Asynchronous File Transfer server

.SH SYNOPSIS
.B sendfiled
[
.B \-4
|
.B \-6 
]
[
.B \-d
]
[
.B \-f
]
[
.B \-q
]
[
.B \-Q
]
[
.B \-c configfile
]

.SH DESCRIPTION
.B sendfiled
is a server process (daemon) for the Simple Asynchrnous File Transfer
(SAFT) protocol. The server is normally called by inetd (8) and receives
files or messages sent by SAFT-clients to the. Files are stored in the 
recipient's spool and messages are written to the recipient's terminals.
.PP
The
.B \-4
and
.B \-6
options explicitly force IPv4 or IPv6 connections. By default, the program will try to resolve the name given, and
choose the appropriate protocol automatically. If resolving a host name returns both IPv4 and IPv6 addresses,
sendfiled will try to use the adresses in the order they are returned by the resolver.
.PP
If the 
.B \-d 
option is specified, debugging information is
written to /var/log/sendfiled.dbg.
.PP
If the 
.B \-f 
option is specified, 
.B sendfiled
prints the free disk space on /var/spool/sendfile and terminates.
.PP
If the 
.B \-q 
option is specified, 
.B sendfiled
processes once the outgoing spool and terminates.
.PP
If the 
.B \-Q
option is specified, 
.B sendfiled
starts an outgoing spool daemon, which runs in an endless loop in the
background.
.PP
On startup
.B sendfiled
reads its configuration file /usr/local/etc/sendfile.cf, but you can
specify with
.B \-c configfile
an alternate configuration file.
.PP

.B sendfiled
is also an O-SAFT server, which means authenticated clients can fetch
files. See fetchfile (4) for details.

.PP
.B sfdconf
is the 
.B sendfiled
configuration helper program. It has its own usage help, just type
.B sfdconf -h

.SH FILES
.TP 6
.I /usr/local/etc/sendfile.deny
Users which are not allowed to receive files or messages.
.TP 
.I /usr/local/etc/sendfile.allow
Users which are ONLY allowed to receive files or messages. If this file
has at least one entry, then 
.I /usr/local/etc/sendfile.deny 
will be ignored.
.TP 
.I /usr/local/etc/sendfile.aliases
Alias names for local users. Format is: 
.ES
   alias realname
.EE
.TP 
.I /var/spool/sendfile/LOG/in
Log file for incoming files.
.TP 
.I /var/spool/sendfile/LOG/out
Log file for outgoing files.
.TP 
.I /usr/local/etc/sendfile.cf
The system configuration file. See 
.B sfdconf -i config
for a complete description and default values.

.SH SEE ALSO
.BR sfdconf
.BR sendfile (1)
.BR receive (1)
.BR sendmsg (1)
.BR fetchfile (1)
.BR fetchfile (4)

.SH AUTHOR
Ulli Horlacher  -  framstag@rus.uni-stuttgart.de
